/*
 *	FILE:		FILENAME.h
 *	PRODUCT:	ALL Authorware BackStage Director Extreme3D Fontographer FreeHand SoundEdit xRes
 *	SYNOPSIS:	SYNOPSIS
 *	
 *	Copyright (c) 1994, 1995, 1996 Macromedia, Inc.  All Rights Reserved.
 *
 *	You may utilize this source file to create and compile object code for use 
 *	within products you may create.  THIS CODE IS PROVIDED "AS IS", WITHOUT 
 *	WARRANTY OF ANY KIND, AND MACROMEDIA DISCLAIMS ALL IMPLIED WARRANTIES 
 *	INCLUDING, BUT NOT LIMITED TO, MERCHANTABILITY, FITNESS FOR A PARTICULAR 
 *	PURPOSE AND NONINFRINGEMENT.  IN NO EVENT WILL MACROMEDIA BE LIABLE TO YOU 
 *	FOR ANY CONSEQUENTIAL, INDIRECT OR INCIDENTAL DAMAGES ARISING OUT OF YOUR
 *	USE OR INABILITY TO USE THIS CODE.
 *
 *	ABSTRACT
 *	--------
 *	ABSTRACT
 *
 *	REVISION HISTORY
 *	----------------
 *	YYMMDD	Original. (initials)
 *
 *	HOW TO CUSTOMIZE THIS FILE
 *	--------------------------
 *	1.	Save this file under a different file name.
 *	2.	Use a search and replace utility (case sensitive) to replace the
 *		following:
 *
 *		Replace				With
 *		-------				----
 *		FILENAME			<this file name>
 *		CLASSNAME			<name of the class defined in this file>
 *
 *	3.	Add and modify source code by looking for '--> insert -->' comments.
 */


/*
 *	sentry
 */
#ifndef _H_FILENAME
#define _H_FILENAME


/*
 *	include files
 */
#include "moaxtra.h"


/*
 *	special (required for 68k)
 */
#if defined(__MWERKS__) && !defined(powerc)
#pragma push
#pragma pointers_in_D0
#endif


/*
 *	class declarations
 */

/*
 *	CLSID
 *	-----
 *	The CLSID is a GUID that uniquely identifies your MOA class. To generate a
 *	GUID, use the genUID.app utility (Mac) or the GUIDGEN.EXE utility (Win).
 */
#error PLEASE DEFINE A NEW CLSID


/*
 *	CLASS INSTANCE VARIABLES
 *	------------------------
 *	Class instance variable are variables whose scope is exclusive to the
 *	methods implemented by your MOA class. Variables necessary for the
 *	implementation of your MOA class should be placed here.
 */
EXTERN_BEGIN_DEFINE_CLASS_INSTANCE_VARS( CLASSNAME )
	/*
	 *	--> insert instance variables -->
	 */
EXTERN_END_DEFINE_CLASS_INSTANCE_VARS


/*
 *	CLASS INTERFACE(S)
 *	------------------
 *	The interface(s) implemented by your MOA class are specified here. Note
 *	that at least one class in your Xtra should implement the IMoaRegister
 *	interface.
 *
 *	Macro syntax:	
 *		EXTERN_BEGIN_DEFINE_CLASS_INTERFACE( <class-name>, <interface-name>)
 *		DEFINE_METHOD( <return-type>, <method-name>, (<argument-list>) )
 */
EXTERN_BEGIN_DEFINE_CLASS_INTERFACE( CLASSNAME, INTERFACENAME )
	EXTERN_DEFINE_METHOD( RETURN, METHODNAME, 
		(THIS_ ARGLIST) )
EXTERN_END_DEFINE_CLASS_INTERFACE

/*
 *	--> insert additional interfaces -->
 */


/*
 *	special (required for 68k)
 */
#if defined(__MWERKS__) && !defined(powerc)
#pragma pop
#endif


/*
 *	sentry
 */
#endif
