/*
 *	FILE:		FILENAME.h
 *	PRODUCT:	ALL Authorware BackStage Director Extreme3D Fontographer FreeHand SoundEdit xRes
 *	SYNOPSIS:	SYNOPSIS
 *	
 *	Copyright (c) 1994, 1995, 1996 Macromedia, Inc.  All Rights Reserved.
 *
 *	You may utilize this source file to create and compile object code for use 
 *	within products you may create.  THIS CODE IS PROVIDED "AS IS", WITHOUT 
 *	WARRANTY OF ANY KIND, AND MACROMEDIA DISCLAIMS ALL IMPLIED WARRANTIES 
 *	INCLUDING, BUT NOT LIMITED TO, MERCHANTABILITY, FITNESS FOR A PARTICULAR 
 *	PURPOSE AND NONINFRINGEMENT.  IN NO EVENT WILL MACROMEDIA BE LIABLE TO YOU 
 *	FOR ANY CONSEQUENTIAL, INDIRECT OR INCIDENTAL DAMAGES ARISING OUT OF YOUR
 *	USE OR INABILITY TO USE THIS CODE.
 *
 *	ABSTRACT
 *	--------
 *	ABSTRACT
 *
 *	REVISION HISTORY
 *	----------------
 *	YYMMDD	Original. (initials)
 *
 *	HOW TO CUSTOMIZE THIS FILE
 *	--------------------------
 *	1.	Save this file under a different file name.
 *	2.	Use a search and replace utility (case sensitive) to replace the
 *		following:
 *
 *		Replace				With
 *		-------				----
 *		FILENAME			<this file name>
 *		INTERFACENAME		<name of the interface defined in this file>
 *
 *	3.	Add and modify source code by looking for '--> insert -->' comments.
 */


/*
 *	sentry
 */
#ifndef _H_FILENAME
#define _H_FILENAME


/*
 *	include files
 */
#include "moaxtra.h"


/*
 *	special (required for 68k)
 */
#if defined(__MWERKS__) && !defined(powerc)
#pragma push
#pragma pointers_in_D0
#endif


/*
 *	interface declarations
 */

/*
 *	INTERFACE DECLARATIONS
 *	----------------------
 *	Interfaces are the basic mechanism by which Xtras and MOA applications
 *	interact. An interface declarations consists of the methods inherited
 *	from other interfaces (IMoaUnknown must be one of them), followed by the
 *	methods defined by the interface.
 */


/* -------------------------------------------------------------- INTERFACENAME
 *	DESCRIPTION
 */

#ifdef	INTERFACE
#undef	INTERFACE
#endif
#define INTERFACE	INTERFACENAME

DECLARE_INTERFACE_( INTERFACENAME, IMoaUnknown )
{
	STD_IUNKNOWN_METHODS

	STDMETHOD_( RETURNTYPE, METHODNAME ) (THIS_ ARGLIST) PURE;
}

typedef INTERFACENAME FAR * PINTERFACENAME;

DEFINE_GUID( IID_INTERFACENAME, ...);

#undef INTERFACE


/*
 *	special (required for 68k)
 */
#if defined(__MWERKS__) && !defined(powerc)
#pragma pop
#endif


/*
 *	sentry
 */
#endif
