/*
	File: moaction.h		(core)

	Macromedia Corporation Proprietary Information - copyright 1996.
	For internal use only. Disclosure or transfer to unauthorized 
	persons prohibited. This computer software is protected under 
	copyright law as an unpublished work. All rights reserved.

	Abstract:
	
 	Revision history:
	960118	Modified to be a hypothetical "action" plugin. (kfc)
*/

#ifndef _MIF_action
#define _MIF_action

#include <string.h>
#include <stdlib.h>
#include "moaxtra.h"

/* ------------------------------------------------------------------------ */

#if defined(__MWERKS__) && defined(__MC68K__)
#pragma push
#pragma pointers_in_D0
#endif

#define key_IMoaAction_UICategory	"IMoaAction_UICategory"
#define key_IMoaAction_UIName		"IMoaAction_UIName"

DEFINE_GUID(IID_IMoaAction, 0xFD0BD62EL, 0x51B1, 0x11CF, 0xBF, 0x6E, 0x08, 0x00, 0x07, 0x26, 0xE7, 0x4A);

#undef INTERFACE
#define INTERFACE IMoaAction

DECLARE_INTERFACE_(IMoaAction, IMoaUnknown)
{
	STD_IUNKNOWN_METHODS
	STDMETHOD(DoAction) (THIS) PURE;
	STDMETHOD(CanDoAction) (THIS_ MoaBool* result) PURE;
};
typedef IMoaAction FAR * PIMoaAction;

#if defined(__MWERKS__) && defined(__MC68K__)
#pragma pop
#endif

#endif
