/*
 *	FILE:		xh_cache.h
 *	PRODUCT:	ALL
 *	SYNOPSIS:	Declarations for helper routines associated with IMoaCache.
 *	
 *	Copyright (c) 1994, 1995, 1996 Macromedia, Inc.  All Rights Reserved.
 *
 *	You may utilize this source file to create and compile object code for use 
 *	within products you may create.  THIS CODE IS PROVIDED "AS IS", WITHOUT 
 *	WARRANTY OF ANY KIND, AND MACROMEDIA DISCLAIMS ALL IMPLIED WARRANTIES 
 *	INCLUDING, BUT NOT LIMITED TO, MERCHANTABILITY, FITNESS FOR A PARTICULAR 
 *	PURPOSE AND NONINFRINGEMENT.  IN NO EVENT WILL MACROMEDIA BE LIABLE TO YOU 
 *	FOR ANY CONSEQUENTIAL, INDIRECT OR INCIDENTAL DAMAGES ARISING OUT OF YOUR
 *	USE OR INABILITY TO USE THIS CODE.
 */


/*
 *	sentry
 */
#ifndef _H_xh_cache
#define _H_xh_cache


/*
 *	include files
 */
#include "moaxtra.h"
#include "moastdif.h"


/*
 *	special (required for 68k)
 */
#if defined(__MWERKS__) && !defined(powerc)
#pragma push
#pragma pointers_in_D0
#endif


/*
 *	external prototypes
 */
 
MoaBoolParam GetRegistryEntryDict(
	PIMoaCallback pCallback,
	ConstPMoaClassID pClassID,
	ConstPMoaInterfaceID pInterfaceID,
	PIMoaRegistryEntryDict * ppRegistryDict
);

/*
 *	special (required for 68k)
 */
#if defined(__MWERKS__) && !defined(powerc)
#pragma pop
#endif


/*
 *	sentry
 */
#endif
