/*
 *	FILE:		FILENAME.cpp
 *	PRODUCT:	ALL Authorware BackStage Director Extreme3D Fontographer FreeHand SoundEdit xRes
 *	SYNOPSIS:	SYNOPSIS
 *	
 *	Copyright (c) 1994, 1995, 1996 Macromedia, Inc.  All Rights Reserved.
 *
 *	You may utilize this source file to create and compile object code for use 
 *	within products you may create.  THIS CODE IS PROVIDED "AS IS", WITHOUT 
 *	WARRANTY OF ANY KIND, AND MACROMEDIA DISCLAIMS ALL IMPLIED WARRANTIES 
 *	INCLUDING, BUT NOT LIMITED TO, MERCHANTABILITY, FITNESS FOR A PARTICULAR 
 *	PURPOSE AND NONINFRINGEMENT.  IN NO EVENT WILL MACROMEDIA BE LIABLE TO YOU 
 *	FOR ANY CONSEQUENTIAL, INDIRECT OR INCIDENTAL DAMAGES ARISING OUT OF YOUR
 *	USE OR INABILITY TO USE THIS CODE.
 *
 *	ABSTRACT
 *	--------
 *	ABSTRACT
 *
 *	REVISION HISTORY
 *	----------------
 *	YYMMDD	Original. (initials)
 *
 *	HOW TO CUSTOMIZE THIS FILE
 *	--------------------------
 *	1.	Save this file under a different file name.
 *	2.	Use a search and replace utility (case sensitive) to replace the
 *		following:
 *
 *		Replace				With
 *		-------				----
 *		FILENAME			<this file name>
 *		CLASSNAME			<name of the class defined in this file>
 *
 *	3.	Add and modify source code by looking for '--> insert -->' comments.
 */


/*
 *	special
 */
#define INITGUID 1                /* defined for one and only one source file */


/*
 *	include files
 */
#include "moaxtra.h"
#include "FILENAME.h"
#include "moatry.h"


/*
 *	special (required for 68k)
 */
#if defined(__MWERKS__) && !defined(powerc)
#pragma push
#pragma pointers_in_D0
#endif


/*
 *	class interfaces
 */

BEGIN_DEFINE_CLASS_INTERFACE( CLASSNAME, INTERFACENAME )
END_DEFINE_CLASS_INTERFACE

/*
 *	--> insert additional interfaces -->
 */


/*
 *	xtra definition
 */

/*
 *	XTRA DEFINITION
 *	---------------
 *	The Xtra definition specifies the classes and interfaces defined by your
 *	MOA Xtra.
 *
 *	Macro syntax:
 *		BEGIN_XTRA_DEFINE_CLASS( <class-name>, <version> )
 *		CLASS_DEFINES_INTERFACE( <class-name>, <interface-name>, <version> )
 */
BEGIN_XTRA
	BEGIN_XTRA_DEFINES_CLASS( CLASSNAME, VERSION )
		CLASS_DEFINES_INTERFACE( CLASSNAME, INTERFACENAME, VERSION )
		/*
		 *	--> insert additional interfaces -->
		 */
	END_XTRA_DEFINES_CLASS
	/*
	 *	--> insert additional classes -->
	 */
END_XTRA


/*
 *	create and destroy methods
 */

/*
 *	CREATE AND DESTROY METHODS
 *	--------------------------
 *	Every interface and class has an associated 'Create' and 'Destroy' pair.
 *	'Create' methods are typically used to acquire interface, allocate memory,
 *	and initialize variables. 'Destroy' methods are typically used to release
 *	interfaces and free memory. To create 'empty' create and destroy methods
 *	for an interface, use the STD_INTERFACE_CREATE_DESTROY macro.
 */

/* --------------------------------------------------------- MoaCreate_CLASSNAME
 *
 *	This method is called when an instance of class CLASSNAME is created.
 *
 *	ARGUMENTS
 *	---------
 *	This		-->		a pointer to the object being created
 *
 *	RETURN TYPE
 *	-----------
 *	MoaError
 */
STDMETHODIMP_(MoaError) MoaCreate_CLASSNAME(
	CLASSNAME FAR * This
)
{
moa_try

	/* variable declarations */

	/* variable initialization */

	/* acquire interfaces */

	/*
	 *	--> insert additional 'create' code -->
	 */

moa_catch
	
	/* report the exception */
	MOA_DEBUGSTR( ("Exception thrown at %s.", moa_get_exception_location) );

moa_catch_end

	/* release interfaces */

moa_try_end
}


/* -------------------------------------------------------- MoaDestroy_CLASSNAME
 *
 *	This method is called when this instance is being released.
 *
 *	ARGUMENTS
 *	---------
 *	This		-->		a pointer to the object being destroyed
 *
 *	RETURN TYPE
 *	-----------
 *	MoaError
 */
STDMETHODIMP_(void) MoaDestroy_CLASSNAME(
	CLASSNAME FAR * This
)
{
moa_try

	/* variable declarations */

	/* variable initialization */

	/* acquire interfaces */

	/*
	 *	--> insert additional 'destroy' code -->
	 */

moa_catch
	
	/* report the exception */
	MOA_DEBUGSTR( ("Exception thrown at %s.", moa_get_exception_location) );

moa_catch_end

	/* release interfaces */

moa_try_end_void
}

STD_INTERFACE_CREATE_DESTROY( CLASSNAME, INTERFACENAME )


/*
 *	--> insert additional create and destroy methods -->
 */


/*
 *	method implementations
 */

/* 
 *	METHOD IMPLEMENTATIONS
 *	----------------------
 *	This is where the methods to be defined by your MOA class are implemented.
 *	The bulk of the work in implementing Xtras is done here.
 */

/* ----------------------------------------- CLASSNAME_INTERFACENAME::METHODNAME
 *	
 *	DESCRIPTION
 *
 *	ARGUMENTS
 *	---------
 *	ARGNAME			<->		DESCRIPTION
 *
 *	RETURN TYPE
 *	-----------
 *	RETURNTYPE				DESCRIPTION
 */
STDMETHODIMP_(RETURNTYPE) CLASSNAME_INTERFACENAME::METHODNAME(
	ARGLIST
)
{
moa_try

	/* variable declarations */

	/* variable initialization */

	/* acquire interfaces */

	/*
	 *	--> insert additional code -->
	 */

moa_catch
	
	/* report the exception */
	MOA_DEBUGSTR( ("Exception thrown at %s.", moa_get_exception_location) );

moa_catch_end

	/* release interfaces */

moa_try_end
}


/*
 *	special (required for 68k)
 */
#if defined(__MWERKS__) && !defined(powerc)
#pragma pop
#endif
