/*
 *	FILE:		fhwinres.h
 *	PRODUCT:	FreeHand
 *	SYNOPSIS:	Resource macros for creating Windows FreeHand Xtras
 *	
 *	Copyright (c) 1994, 1995, 1996 Macromedia, Inc.  All Rights Reserved.
 *
 *	You may utilize this source file to create and compile object code for use 
 *	within products you may create.  THIS CODE IS PROVIDED "AS IS", WITHOUT 
 *	WARRANTY OF ANY KIND, AND MACROMEDIA DISCLAIMS ALL IMPLIED WARRANTIES 
 *	INCLUDING, BUT NOT LIMITED TO, MERCHANTABILITY, FITNESS FOR A PARTICULAR 
 *	PURPOSE AND NONINFRINGEMENT.  IN NO EVENT WILL MACROMEDIA BE LIABLE TO YOU 
 *	FOR ANY CONSEQUENTIAL, INDIRECT OR INCIDENTAL DAMAGES ARISING OUT OF YOUR
 *	USE OR INABILITY TO USE THIS CODE.
 */


/*
 *	sentry 
 */
#ifndef _H_fhwinres
#define _H_fhwinres


/*
 *	includes 
 */
#ifndef _WINDOWS_
	#include <windows.h>
#endif

#ifndef _H_uidefs
	#include "uidefs.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif


/* 
 *	defines 
 */
#define COMMA	"\0,"

// Format is
//		Type, ControlID, class name, top, left, bottom, right
#define RESOURCE(A,B,C,D,E,F,G)\
		A,COMMA,B,COMMA,#C,COMMA,#D,COMMA,#E,COMMA,#F,COMMA,#G,COMMA

// Format is
//		key, parameter type, attribute value
#define ATTRIBUTE(A,B,C)\
		A,COMMA,B,COMMA,#C,COMMA

// Format is
//		key, parameter type, stringize the attribute value yourself
#define ATTRIB(A,B,C)\
		A,COMMA,B,COMMA,C,COMMA

// Format is
//		Link Tag, resource
#define RESOURCE_LINK(A)\
		#A,COMMA

#ifdef __cplusplus
}
#endif


/*
 *	sentry 
 */
#endif
