/*
 *	FILE:		moastdc.h
 *	PRODUCT:	ALL
 *	SYNOPSIS:	model-independent version of "standard" c calls
 *	
 *	Copyright (c) 1995, 1996 Macromedia, Inc.  All Rights Reserved.
 *
 *	You may utilize this source file to create and compile object code for use 
 *	within products you may create.  THIS CODE IS PROVIDED "AS IS", WITHOUT 
 *	WARRANTY OF ANY KIND, AND MACROMEDIA DISCLAIMS ALL IMPLIED WARRANTIES 
 *	INCLUDING, BUT NOT LIMITED TO, MERCHANTABILITY, FITNESS FOR A PARTICULAR 
 *	PURPOSE AND NONINFRINGEMENT.  IN NO EVENT WILL MACROMEDIA BE LIABLE TO YOU 
 *	FOR ANY CONSEQUENTIAL, INDIRECT OR INCIDENTAL DAMAGES ARISING OUT OF YOUR
 *	USE OR INABILITY TO USE THIS CODE.
 */
#ifndef _H_moastdc
#define _H_moastdc

#if 1

#include <string.h>

#if defined(WINDOWS) && !defined(WIN32)
	#define moa_memcmp(a,b,c)	_fmemcmp((a),(b),(c))
	#define moa_memcpy(a,b,c)	_fmemcpy((a),(b),(c))
	#define moa_memmove(a,b,c)	_fmemmove((a),(b),(c))
	#define moa_memset(a,b,c)	_fmemset((a),(b),(c))
	#define moa_strcat(a,b)		_fstrcat((a),(b))
	#define moa_strcmp(a,b)		_fstrcmp((a),(b))
	#define moa_strcpy(a,b)		_fstrcpy((a),(b))
	#define moa_strlen(a)		_fstrlen((a))
#else
	#define moa_memcmp(a,b,c)	memcmp((a),(b),(c))
	#define moa_memcpy(a,b,c)	memcpy((a),(b),(c))
	#define moa_memmove(a,b,c)	memmove((a),(b),(c))
	#define moa_memset(a,b,c)	memset((a),(b),(c))
	#define moa_strcat(a,b)		strcat((a),(b))
	#define moa_strcmp(a,b)		strcmp((a),(b))
	#define moa_strcpy(a,b)		strcpy((a),(b))
	#define moa_strlen(a)		strlen((a))
#endif

#endif

#endif
